commit aaa8af5e7caa07b6c213010e68a91fa8cea9ef38
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Jul 24 00:20:56 2024 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 912a1b4f6ec..645d8748256 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2024-07-23  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2024-07-16  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/115843
+	* config/i386/x86-tune-costs.h (znver4_cost): Update unaligned
+	load and store cost from the aligned costs.
+
 2024-07-22  Maciej W. Rozycki  <macro@orcam.me.uk>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 833d506febb..d050dd67721 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20240723
+20240724
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index a7b00d7882c..6357df9e57d 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2024-07-23  Alexandre Oliva  <oliva@adacore.com>
+
+	Backported from master:
+	2024-07-23  Alexandre Oliva  <oliva@adacore.com>
+
+	PR target/106069
+	* g++.target/powerpc/pr106069.C: Reorder dg directives.
+
 2024-07-21  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:

